# Orders with flight details

Use this endpoint to retrieve detailed information for one or more flight orders. - You can request car order details either by order ID or by reservation ID. - The response includes all relevant information for each order, such as booking and cancellation details, commission, pricing, and optional extras (for example, policies).   Results are sorted by bookingDate in descending order, with the most recently booked orders listed first. It returns structured order data, including pricing, itinerary segments with IATA airport codes, etc. This endpoint is ideal for: - Displaying flight booking details in traveller dashboards or confirmation pages. - Generating post-booking communications and invoices.  - Performing reporting or reconciliation tasks that require accurate itinerary and pricing data.

Endpoint: POST /orders/details/flights
Version: 3.1
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `currency` (string)
    A three-letter code that uniquely identifies a monetary currency as defined by the ISO 4217 standard. The full list can be obtained by calling common/payments/currencies.
    Example: "EUR"

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string)
    Order id

  - `data.reservation` (string)
    This is the reservation id for the travel service in this order.

  - `data.currency` (object)

  - `data.currency.booker_currency` (string)
    The currency of the booker.

  - `data.currency.order_currency` (string)
    The currency in which the order was created.

  - `data.itineraries` (array)

  - `data.itineraries.arrival` (object)
    Arrival itinerary.

  - `data.itineraries.arrival.airport` (string)
    A three-letter code that uniquely identifies an airport as defined by the International Air Transport Association (IATA). The full list can be obtained by calling  [common/locations/airports](#/common/locations/airports).

  - `data.itineraries.arrival.date_time` (string)
    Date time of the itinerary.

  - `data.itineraries.departure` (object)
    Departure itinerary.

  - `data.itineraries.departure.airport` (string)
    A three-letter code that uniquely identifies an airport as defined by the International Air Transport Association (IATA). The full list can be obtained by calling  [common/locations/airports](#/common/locations/airports).

  - `data.itineraries.departure.date_time` (string)
    Date time of the itinerary.

  - `data.label` (string)
    Identifier associated with the order.

  - `data.price` (object)

  - `data.price.booker_currency` (number)
    The price in the currency of the booker

  - `data.price.order_currency` (number)
    The price in the currency in which order was created

  - `data.status` (string)
    Enum: "booked", "cancelled", "unknown"

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.


